# LLVM: `lli` tool

### NAME

`lli`

### SYNOPSIS

`lli [options] [filename] [args ...]`

### DESCRIPTION

The `lli` command is the LLVM interpreter. It takes a program in LLVM bytecode format and executes it using an interpreter or a Just In Time (JIT) compiler. `lli` takes all of the same code generator option as the `llc` tool as well.

If filename is not specified, then lli reads its input from standard input.

The optional "args" specified on the command line are passed to the executed program as arguments.

### OPTIONS

- -array-checks (interpreter specific)
  Enable array bound checks.

- -help
  Print a summary of command line options.

- -stats
  Print statistics.

- -time-passes
  Record the amount of time needed for each pass and print it to standard error.

### EXIT STATUS

If lli succeeds, it will exit with 0. Otherwise, if an error occurs, it will exit with a non-zero value.

### SEE ALSO

`llc`

Maintained by the LLVM Team.